[google,gcc-4_8,integration] Set abi-version to 0

Submitted by Paul Pluzhnikov on Oct. 10, 2013, 3:46 p.m.

Details

Message ID ye6qa9ihm8lp.fsf@elbrus2.mtv.corp.google.com
State New
Headers show

Commit Message

Paul Pluzhnikov Oct. 10, 2013, 3:46 p.m.
Greetings,

For Google b/10860844, I've committed the patch below on google gcc-4_8
(r203381) and integration (r203382) branches.

This forces abi-version to be the latest available.


2013-10-10  Paul Pluizhnikov  <ppluzhnikov@google.com>

	* gcc/common.opt (flag_abi_version): Set to 0.

Patch hide | download patch | download mbox

Index: gcc/common.opt
===================================================================
--- gcc/common.opt	(revision 203380)
+++ gcc/common.opt	(working copy)
@@ -866,7 +866,7 @@ 
 ; Additional positive integers will be assigned as new versions of
 ; the ABI become the default version of the ABI.
 fabi-version=
-Common Joined RejectNegative UInteger Var(flag_abi_version) Init(2)
+Common Joined RejectNegative UInteger Var(flag_abi_version) Init(0)
 
 faggressive-loop-optimizations
 Common Report Var(flag_aggressive_loop_optimizations) Optimization Init(1)